## insighttoolkit4 4.13.3withdata-dfsg1

=== debian/changelog ===
insighttoolkit4 (4.13.3withdata-dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * s/libniftic-dev/libniftic2-dev/
  * Ignore failing test PythonReadDicomAndReadTag
    Closes: #978177

  [ Wookey ]
  * Fix clean target
    Closes: #977120

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2020 20:55:32 +0100

insighttoolkit4 (4.13.3withdata-dfsg1-3) unstable; urgency=medium

  * source only upload to force rebuild Closes: #974759

 -- Gert Wollny <gewo@debian.org>  Sun, 22 Nov 2020 20:28:32 +0100

insighttoolkit4 (4.13.3withdata-dfsg1-2) unstable; urgency=medium

  * source only upload

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 Aug 2020 00:02:49 -0500

insighttoolkit4 (4.13.3withdata-dfsg1-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * d/watch, d/data/watch: update to version 4 & scan https://itk.org/download/
  * New upstream version 4.13.3-dfsg1.
  * d/control*: bump castxml build dependency to version 0.3.4-2
    Closes: #957360
  * d/control*: bump standard version to 4.5.0
  * debhelper-compat 13 (routine-update)

 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Aug 2020 13:06:04 -0500

insighttoolkit4 (4.13.2-dfsg1-9) unstable; urgency=medium

  * d/rules: Use python module path from version Closes: #956834

 -- Gert Wollny <gewo@debian.org>  Sat, 25 Apr 2020 16:04:42 +0200
