=== debian/watch ===
version=4

# WARNING: the version specification is forced to v4.x.y for the source code of
# the branch holding src:insighttoolkit4, but there are more recent versions
# available (5.0 and 5.1 to 2020-08-02).
opts="repacksuffix=-dfsg1,dversionmangle=s/-dfsg1//" \
https://itk.org/download/ \
https://github.com/InsightSoftwareConsortium/ITK/releases/download/v4.\d[\-+\.:\~\da-zA-Z]*/InsightToolkit-@ANY_VERSION@@ARCHIVE_EXT@
