## insighttoolkit4 4.13.3withdata-dfsg2

=== debian/changelog ===
insighttoolkit4 (4.13.3withdata-dfsg2-1ubuntu1) jammy; urgency=medium

  * Stop building the Python bindings, insighttoolkit4 is
    obsolete and is being replaced by insighttoolkit5, see #984063

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 15 Feb 2022 15:15:45 +0000

insighttoolkit4 (4.13.3withdata-dfsg2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Add NOTICE file to docs

  [ Étienne Mollier ]
  * Add d/gbp.conf to handle the legacy ITK4 in a separate VCS branches.
  * Add gcc11.patch, fixing ftbfs.  (Closes: #984063)
  * Rewrapped the package to include the embedded TIFF source.
  * d/rules: use embedded TIFF to address test failures with later versions.
    Embedding is considered a lesser harm as reverse dependencies and users
    should be migrating to ITK5 from now on.  (See: #984063)
  * Standards-Version: 4.6.0 (routine-update)
  * Rewrapped control file (cme fix dpkg)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Replace spaces in short license names with dashes.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Jan 2022 22:13:09 +0100

insighttoolkit4 (4.13.3withdata-dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libinsighttoolkit4.13: Add Breaks: libinsighttoolkit4.12 for smoother
    upgrades from buster. The libraries are not co-installable due to the
    libhdf5-103 -> libhdf5-103-1 and other package renames.
    Closes: #986927

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 May 2021 10:51:08 +0200
