=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #ITK is not properly using system provided headers
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/nifti -g1
 
-ENABLE_PYTHON=1
+ENABLE_PYTHON=0
 
 ifeq ($(DEB_HOST_ARCH),i386)
   ENABLE_FFTW=OFF
@@ -48,7 +48,7 @@
 	-DITK_USE_SYSTEM_HDF5:BOOL=ON \
 	-DITK_USE_SYSTEM_JPEG:BOOL=ON \
 	-DITK_USE_SYSTEM_PNG:BOOL=ON \
-	-DITK_USE_SYSTEM_TIFF:BOOL=ON \
+	-DITK_USE_SYSTEM_TIFF:BOOL=OFF \
 	-DITK_USE_SYSTEM_VXL:BOOL=OFF \
 	-DITK_USE_SYSTEM_ZLIB:BOOL=ON \
 	-DITK_USE_KWSTYLE:BOOL=OFF \
@@ -81,7 +81,7 @@
 
 
 %:
-	dh $@ --builddir=BUILD --with python3
+	dh $@ --builddir=BUILD
 
 override_dh_auto_configure-indep:
 
@@ -165,4 +165,4 @@
 get-orig-source:
 	uscan --watchfile debian/data/watch --force-download --no-symlink --destdir $(TARBALLDIR)
 	uscan --force-download --rename --destdir $(TARBALLDIR)
-	cd $(TARBALLDIR) && mv `ls InsightData-$(VERSION).tar.xz` insighttoolkit$(VER_MAJOR)_$(VERSION)-dfsg1.orig-data.tar.xz
+	cd $(TARBALLDIR) && mv `ls InsightData-$(VERSION).tar.gz` insighttoolkit$(VER_MAJOR)_$(VERSION)-dfsg2.orig-data.tar.gz
